services:
  strapi:
    build:
      context: .
      dockerfile: Dockerfile
      target: development
    container_name: ambassador-cms-dev
    restart: unless-stopped
    env_file: .env
    environment:
      NODE_ENV: development
      DATABASE_CLIENT: sqlite
      DATABASE_FILENAME: .tmp/data.db
    ports:
      - "1337:1337"
    volumes:
      - .:/app
      - /app/node_modules
      - ./.tmp:/app/.tmp
    stdin_open: true
    tty: true
 